Package ghidra.app.util.bin.format.macho.commands.dyld

# Enum Class BindOpcode

java.lang.Object
java.lang.Enum<BindOpcode>
ghidra.app.util.bin.format.macho.commands.dyld.BindOpcode

All Implemented Interfaces:
  `Serializable`, `Comparable<BindOpcode>`, `Constable`

public enum BindOpcode extends Enum<BindOpcode>
Bind opcodes

See Also:
  - EXTERNAL_HEADERS/mach-o/loader.h

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BIND_OPCODE_ADD_ADDR_ULEB`
  `BIND_OPCODE_DO_BIND`
  `BIND_OPCODE_DO_BIND_ADD_ADDR_IMM_SCALED`
  `BIND_OPCODE_DO_BIND_ADD_ADDR_ULEB`
  `BIND_OPCODE_DO_BIND_ULEB_TIMES_SKIPPING_ULEB`
  `BIND_OPCODE_DONE`
  `BIND_OPCODE_SET_ADDEND_SLEB`
  `BIND_OPCODE_SET_DYLIB_ORDINAL_IMM`
  `BIND_OPCODE_SET_DYLIB_ORDINAL_ULEB`
  `BIND_OPCODE_SET_DYLIB_SPECIAL_IMM`
  `BIND_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB`
  `BIND_OPCODE_SET_SYMBOL_TRAILING_FLAGS_IMM`
  `BIND_OPCODE_SET_TYPE_IMM`
  `BIND_OPCODE_THREADED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BindOpcode`
  `forOpcode(int opcode)`
  Gets the `BindOpcode` that corresponds to the given opcode value
  `int`
  `getOpcode()`
  Returns the opcode value.
  `static DataType`
  `toDataType()`
  Returns a new data type from this enum.
  `static BindOpcode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BindOpcode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BIND_OPCODE_DONE

    public static final BindOpcode BIND_OPCODE_DONE

  - ### BIND_OPCODE_SET_DYLIB_ORDINAL_IMM

    public static final BindOpcode BIND_OPCODE_SET_DYLIB_ORDINAL_IMM

  - ### BIND_OPCODE_SET_DYLIB_ORDINAL_ULEB

    public static final BindOpcode BIND_OPCODE_SET_DYLIB_ORDINAL_ULEB

  - ### BIND_OPCODE_SET_DYLIB_SPECIAL_IMM

    public static final BindOpcode BIND_OPCODE_SET_DYLIB_SPECIAL_IMM

  - ### BIND_OPCODE_SET_SYMBOL_TRAILING_FLAGS_IMM

    public static final BindOpcode BIND_OPCODE_SET_SYMBOL_TRAILING_FLAGS_IMM

  - ### BIND_OPCODE_SET_TYPE_IMM

    public static final BindOpcode BIND_OPCODE_SET_TYPE_IMM

  - ### BIND_OPCODE_SET_ADDEND_SLEB

    public static final BindOpcode BIND_OPCODE_SET_ADDEND_SLEB

  - ### BIND_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB

    public static final BindOpcode BIND_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB

  - ### BIND_OPCODE_ADD_ADDR_ULEB

    public static final BindOpcode BIND_OPCODE_ADD_ADDR_ULEB

  - ### BIND_OPCODE_DO_BIND

    public static final BindOpcode BIND_OPCODE_DO_BIND

  - ### BIND_OPCODE_DO_BIND_ADD_ADDR_ULEB

    public static final BindOpcode BIND_OPCODE_DO_BIND_ADD_ADDR_ULEB

  - ### BIND_OPCODE_DO_BIND_ADD_ADDR_IMM_SCALED

    public static final BindOpcode BIND_OPCODE_DO_BIND_ADD_ADDR_IMM_SCALED

  - ### BIND_OPCODE_DO_BIND_ULEB_TIMES_SKIPPING_ULEB

    public static final BindOpcode BIND_OPCODE_DO_BIND_ULEB_TIMES_SKIPPING_ULEB

  - ### BIND_OPCODE_THREADED

    public static final BindOpcode BIND_OPCODE_THREADED

- ## Method Details

  - ### values

    public static BindOpcode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BindOpcode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getOpcode

    public int getOpcode()
    Returns the opcode value.
    Returns:
      the opcode value

  - ### toDataType

    public static DataType toDataType()
    Returns a new data type from this enum.
    Returns:
      a new data type from this enum

  - ### forOpcode

    public static BindOpcode forOpcode(int opcode)
    Gets the `BindOpcode` that corresponds to the given opcode value
    Parameters:
      `opcode` - The opcode value
    Returns:
      The `BindOpcode` that corresponds to the given opcode value, or null if it does not exist